Summary:	Tools to help creation of multiarch binaries and includes
Name:		multiarch-utils
Version:	1.0.14
Release:	%mkrel 3
Source0:	%{name}-%{version}.tar.gz
License:	GPL
Group:		Development/Other
Url:		http://www.mageia.org/
BuildArch:	noarch

%description
multiarch-utils is a collection of helper utilities to dispatch
binaries and include files during RPM package build.

%prep
%setup -q

%build

%install
%make_install

%files
%doc NEWS
%{_bindir}/multiarch-platform
%{_bindir}/multiarch-dispatch
%{_includedir}/multiarch-dispatch.h
%{_sysconfdir}/rpm/macros.d/multiarch.macros
%{_prefix}/lib/rpm/mkmultiarch
%{_prefix}/lib/rpm/check-multiarch-files


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.0.14-3.mga8
+ Revision: 1502204
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.0.14-2.mga7
+ Revision: 1279963
- Mageia 7 Mass Rebuild

* Sun Mar 11 2018 wally <wally> 1.0.14-1.mga7
+ Revision: 1208150
- new version 1.0.14
  o add aarch64 support

* Fri Feb 19 2016 umeabot <umeabot> 1.0.13-7.mga6
+ Revision: 969331
- Mageia 6 Mass Rebuild

* Fri Aug 21 2015 tmb <tmb> 1.0.13-6.mga6
+ Revision: 867819
- rebuild for new gcc

* Wed Oct 15 2014 umeabot <umeabot> 1.0.13-5.mga5
+ Revision: 739786
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.13-4.mga5
+ Revision: 682690
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.13-3.mga4
+ Revision: 518067
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.0.13-2.mga3
+ Revision: 360487
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 09 2011 blino <blino> 1.0.13-1.mga1
+ Revision: 3784
- 1.0.13

* Sat Jan 08 2011 blino <blino> 1.0.12-2.mga1
+ Revision: 615
- update url

* Sat Jan 08 2011 blino <blino> 1.0.12-1.mga1
+ Revision: 496
- update sha1
- 1.0.12

* Sat Jan 08 2011 blino <blino> 1.0.11-1.mga1
+ Revision: 486
- do not package ChangeLog
- 1.0.11

* Sat Jan 08 2011 blino <blino> 1.0.10-2.mga1
+ Revision: 464
- remove obsolete stuff
- imported package multiarch-utils


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.10-2mdv2011.0
+ Revision: 606669
- rebuild

* Sun Jan 24 2010 Anssi Hannula <anssi@mandriva.org> 1.0.10-1mdv2010.1
+ Revision: 495441
- 1.0.10
  o patches from package applied upstream
  o add additional guards for some interfering definitions in
    multiarch-dispatch.h (reported by J?\195?\169r?\195?\180me Brenier)
  o remove dispatch file for host.def, it is no longer used

* Sun Sep 27 2009 Olivier Blin <oblin@mandriva.com> 1.0.9-9mdv2010.0
+ Revision: 450160
- mipsel & armel support (from Arnaud Patard)

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.0.9-8mdv2010.0
+ Revision: 426200
- rebuild

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 1.0.9-7mdv2009.1
+ Revision: 351612
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.0.9-6mdv2009.0
+ Revision: 223329
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 1.0.9-5mdv2008.1
+ Revision: 153271
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - fix broken sparc64 check (P0, fixes #27277)
    - fix broken check for rpm/macros.d directory (P1)


* Fri Sep 22 2006 Warly <warly@mandriva.com> 1.0.9-3mdv2007.0
- now use /usr/lib/X11 instead of /usr/X11R6/lib/X11

* Mon Aug 08 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.0.9-2mdk
- build fixes and use /etc/rpm/macros.d/* for MDV 2006

* Sun Aug 07 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.0.9-1mdk
- handle symlinks to multiarch binaries
- handle cases where multiarch binary name contains spaces

* Thu Mar 10 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.8-1mdk
- quotemeta $RPM_BUILD_ROOT in regexp

* Wed Feb 23 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.7-1mdk
- multiarch x11 host.def
- new heuristics for multiarch files checker (ace-config)
- only check for multiarch files in the usual development directories

* Thu Feb 10 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.6-1mdk
- check-multiarch-files: new multiarch hint: BITS_PER_WORD
- check-multiarch-files: handle --libtool in config scripts
- check-multiarch-files: don't match */lib/{font,X11} in headers

* Mon Jan 31 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.5-1mdk
- mkmultiarch: handle ciruclar inclusions (e.g. gd.h)
- check-multiarch-files: better heuristics (gdlib-config, mysql_config)

* Mon Jan 31 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.4-1mdk
- mkmultiarch: handle /usr/include/header.h cases
- mkmultiarch: handle symlinks in binaries to be dispatched
- macros.multiarch: add multiarch_{platform,x11bindir,x11includedir}

* Tue Jan 25 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.3-1mdk
- add %%multiarch_{bin,include}dir aliases
- better os independence, "linux" is detected

* Mon Jan 24 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.2-1mdk
- add check-multiarch-files

* Thu Jan 20 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.1-1mdk
- add %%multiarch macro to mark %%files that are multiarch enabled;
  that's a helper macro that expands to nothing on older distributions

* Wed Jan 12 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0-1mdk
- initial release

